Retrieve fine-tuning job
Get info about a fine-tuning job.
AuthorizationBearer <token>job_id*stringThe ID of the fine-tuning job
^[0-9a-fA-F]{24}$OpenAI-Organization?|Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.
OpenAI-Project?|Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization
Successful Response
application/json- response
A fine-tuning job represents a request to fine-tune a model.
id*stringThe job identifier, which can be referenced in the API endpoints.
^[0-9a-fA-F]{24}$project_id*stringThe project identifier this job belongs to.
^[0-9a-fA-F]{24}$object?stringThe object type, which is always 'fine_tuning.job'.
"fine_tuning.job"model*stringThe base model being fine-tuned.
status*FineTuningJobStatusThe current status of the fine-tuning job.
"queued""validating_files""running""succeeded""failed""cancelled"training_file*stringThe file ID used for training.
validation_file?|The file ID used for validation.
hyperparameters?The hyperparameters used for the fine-tuning job.
{ "n_epochs": "auto", "batch_size": "auto", "learning_rate_multiplier": "auto"}method?|The method used for fine-tuning.
created_at?integerThe Unix timestamp (in seconds) for when the job was created.
finished_at?|The Unix timestamp (in seconds) for when the job finished.
fine_tuned_model?|The name of the fine-tuned model that is being created. Null if not yet available.
suffix?|A string added to the fine-tuned model name.
quantization?|Quantization applied during fine-tuning, if any.
error?|Error information if the job failed.
metadata?|Key-value pairs attached to the job.
eval_file?|Project file of eval prompts the worker answers after training (set by fine-tuning pipelines).
worker_result_files?array<string>IDs of files the worker produced (e.g. eval predictions), on the worker.
[]trained_tokens?|The total number of billable tokens processed by this fine-tuning job. The value will be null if the fine-tuning job is still running.
worker_job_id?|The job ID assigned by the fine-tuning worker service.
worker_id?|The ID of the fine_tuning_workers document for the worker processing this job.
worker_sync_failures?integerNumber of consecutive poll failures against the assigned worker.
0curl -X GET 'https://deepfellow-server-host/v1/fine_tuning/jobs/5eb7cf5a86d9755df3a6c593'{ "id": "5eb7cf5a86d9755df3a6c593", "project_id": "5eb7cf5a86d9755df3a6c593", "object": "fine_tuning.job", "model": "string", "status": "queued", "training_file": "string", "validation_file": "string", "hyperparameters": { "n_epochs": "auto", "batch_size": "auto", "learning_rate_multiplier": "auto" }, "method": { "type": "supervised", "supervised": { "hyperparameters": { "batch_size": "auto", "learning_rate_multiplier": "auto", "n_epochs": "auto" } }, "dpo": { "hyperparameters": { "batch_size": "auto", "beta": "auto", "learning_rate_multiplier": "auto", "n_epochs": "auto" } }, "reinforcement": { "hyperparameters": { "batch_size": "auto", "learning_rate_multiplier": "auto", "n_epochs": "auto" } } }, "created_at": 0, "finished_at": 0, "fine_tuned_model": "string", "suffix": "string", "quantization": "4bit", "error": { "code": "string", "message": "string" }, "metadata": { "property1": "string", "property2": "string" }, "eval_file": "string", "worker_result_files": [], "trained_tokens": 0, "worker_job_id": "string", "worker_id": "5eb7cf5a86d9755df3a6c593", "worker_sync_failures": 0}We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.